object FormMemoryEditor: TFormMemoryEditor
  Left = 614
  Top = 310
  BorderIcons = [biSystemMenu]
  Caption = 'Memory editor'
  ClientHeight = 373
  ClientWidth = 637
  Color = clBtnFace
  Constraints.MaxWidth = 653
  Constraints.MinWidth = 653
  DoubleBuffered = True
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poOwnerFormCenter
  ShowHint = True
  OnDestroy = FormDestroy
  OnHide = FormHide
  OnResize = FormResize
  OnShow = FormShow
  DesignSize = (
    637
    373)
  PixelsPerInch = 96
  TextHeight = 13
  object TabControlMemoryContent: TTabControl
    Left = 8
    Top = 152
    Width = 623
    Height = 217
    Anchors = [akLeft, akTop, akRight, akBottom]
    OwnerDraw = True
    TabHeight = 20
    TabOrder = 0
    Tabs.Strings = (
      'Banked Read'
      'Banked Write'
      'RAM'
      'Lower ROM'
      'Upper ROM')
    TabIndex = 0
    TabStop = False
    OnChange = TabControlMemoryContentChange
    OnDrawTab = TabControlMemoryContentDrawTab
    DesignSize = (
      623
      217)
    object LabelHelpMemoryDump: TLabel
      Left = 16
      Top = 199
      Width = 325
      Height = 13
      Anchors = [akLeft, akRight, akBottom]
      AutoSize = False
      Caption = 'Use <SPACE> to toggle Hexa/ASCII'
    end
    object ScrollBarDump: TScrollBar
      Left = 602
      Top = 26
      Width = 17
      Height = 162
      Anchors = [akTop, akRight, akBottom]
      Ctl3D = False
      Kind = sbVertical
      LargeChange = 256
      Max = 65520
      PageSize = 0
      ParentCtl3D = False
      SmallChange = 16
      TabOrder = 1
      OnChange = ScrollBarDumpChange
      OnKeyPress = ScrollBarDumpKeyPress
    end
    object StringGridDump: TStringGrid
      Left = 3
      Top = 26
      Width = 598
      Height = 160
      Anchors = [akLeft, akTop, akRight, akBottom]
      BorderStyle = bsNone
      ColCount = 33
      DefaultColWidth = 22
      DefaultRowHeight = 16
      DefaultDrawing = False
      DrawingStyle = gdsClassic
      FixedColor = clWindow
      RowCount = 8
      FixedRows = 0
      GridLineWidth = 0
      Options = []
      ParentColor = True
      PopupMenu = PopupMenuMemoryCell
      ScrollBars = ssNone
      TabOrder = 0
      OnClick = StringGridDumpClick
      OnDblClick = StringGridDumpDblClick
      OnDrawCell = StringGridDumpDrawCell
      OnKeyDown = StringGridDumpKeyDown
      OnKeyPress = StringGridDumpKeyPress
      OnMouseDown = StringGridDumpMouseDown
      OnMouseWheelDown = StringGridDumpMouseWheelDown
      OnMouseWheelUp = StringGridDumpMouseWheelUp
      OnSelectCell = StringGridDumpSelectCell
    end
    object PanelEditValue: TPanel
      Left = 368
      Top = 88
      Width = 65
      Height = 33
      ParentColor = True
      TabOrder = 2
      object EditValue: TEdit
        Left = 8
        Top = 8
        Width = 49
        Height = 21
        AutoSelect = False
        AutoSize = False
        BevelInner = bvNone
        BevelOuter = bvNone
        BorderStyle = bsNone
        CharCase = ecUpperCase
        HideSelection = False
        MaxLength = 2
        ParentColor = True
        TabOrder = 0
        Text = 'EDITVALUE'
        OnChange = EditValueChange
        OnExit = EditValueExit
        OnKeyPress = EditValueKeyPress
      end
    end
    object PanelCheckShowASCII7Bits: TPanel
      Left = 552
      Top = 195
      Width = 65
      Height = 17
      Hint = 'Show ASCII 7 bits'
      Anchors = [akLeft, akBottom]
      BevelInner = bvLowered
      Caption = '7 bits'
      TabOrder = 3
      OnClick = PanelCheckShowASCII7BitsClick
      OnDblClick = PanelCheckShowASCII7BitsClick
    end
    object PanelCheckShowDiff: TPanel
      Left = 480
      Top = 195
      Width = 65
      Height = 17
      Hint = 'Highlight differences'
      Anchors = [akLeft, akBottom]
      BevelInner = bvLowered
      Caption = 'Diff'
      TabOrder = 4
      OnClick = PanelCheckShowDiffClick
      OnDblClick = PanelCheckShowDiffClick
    end
  end
  object PageControlOperations: TPageControl
    Left = 8
    Top = 8
    Width = 623
    Height = 105
    ActivePage = TabSheetBanks
    Anchors = [akLeft, akTop, akRight]
    OwnerDraw = True
    TabHeight = 20
    TabOrder = 1
    TabStop = False
    OnChange = PageControlOperationsChange
    OnDrawTab = PageControlOperationsDrawTab
    object TabSheetBanks: TTabSheet
      Caption = 'Banks'
      ImageIndex = 4
      object LabelBanksRead: TLabel
        Left = 8
        Top = 26
        Width = 57
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Read'
        Layout = tlCenter
      end
      object LabelBanksWrite: TLabel
        Left = 8
        Top = 50
        Width = 57
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Write'
        Layout = tlCenter
      end
      object LabelBanksRangeC000: TLabel
        Left = 336
        Top = 2
        Width = 89
        Height = 21
        Alignment = taCenter
        AutoSize = False
        Caption = 'C000-FFFF'
        Layout = tlCenter
      end
      object LabelBanksRange8000: TLabel
        Left = 256
        Top = 2
        Width = 73
        Height = 21
        Alignment = taCenter
        AutoSize = False
        Caption = '8000-BFFF'
        Layout = tlCenter
      end
      object LabelBanksRange4000: TLabel
        Left = 176
        Top = 2
        Width = 73
        Height = 21
        Alignment = taCenter
        AutoSize = False
        Caption = '4000-7FFF'
        Layout = tlCenter
      end
      object LabelBanksRange0000: TLabel
        Left = 72
        Top = 2
        Width = 97
        Height = 21
        Alignment = taCenter
        AutoSize = False
        Caption = '0000-3FFF'
        Layout = tlCenter
      end
      object LabelBanksAddress: TLabel
        Left = 8
        Top = 2
        Width = 57
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Address'
        Layout = tlCenter
      end
      object LabelRAMBanksBaseAddress: TLabel
        Left = 448
        Top = 26
        Width = 65
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Block'
        Layout = tlCenter
      end
      object LabelRAMBanksMapping: TLabel
        Left = 448
        Top = 50
        Width = 65
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Paging'
        Layout = tlCenter
      end
      object LabelRAMSettings: TLabel
        Left = 472
        Top = 2
        Width = 137
        Height = 21
        Alignment = taCenter
        AutoSize = False
        Caption = 'RAM settings'
        Layout = tlCenter
      end
      object PanelButtonBankRead4000: TPanel
        Left = 176
        Top = 26
        Width = 73
        Height = 21
        Hint = 'Go to begin of bank'
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 0
        OnClick = PanelButtonBankRead4000Click
        OnDblClick = PanelButtonBankRead4000Click
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonBankWrite4000: TPanel
        Left = 176
        Top = 50
        Width = 73
        Height = 21
        Hint = 'Go to begin of bank'
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 1
        OnClick = PanelButtonBankWrite4000Click
        OnDblClick = PanelButtonBankWrite4000Click
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonBankRead8000: TPanel
        Left = 256
        Top = 26
        Width = 73
        Height = 21
        Hint = 'Go to begin of bank'
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 2
        OnClick = PanelButtonBankRead8000Click
        OnDblClick = PanelButtonBankRead8000Click
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonBankWrite8000: TPanel
        Left = 256
        Top = 50
        Width = 73
        Height = 21
        Hint = 'Go to begin of bank'
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 3
        OnClick = PanelButtonBankWrite8000Click
        OnDblClick = PanelButtonBankWrite8000Click
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonBankWrite0000: TPanel
        Left = 72
        Top = 50
        Width = 97
        Height = 21
        Hint = 'Go to begin of bank'
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 4
        OnClick = PanelButtonBankWrite0000Click
        OnDblClick = PanelButtonBankWrite0000Click
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonBankWriteC000: TPanel
        Left = 336
        Top = 50
        Width = 89
        Height = 21
        Hint = 'Go to begin of bank'
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 5
        OnClick = PanelButtonBankWriteC000Click
        OnDblClick = PanelButtonBankWriteC000Click
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonBankRead0000: TPanel
        Left = 72
        Top = 26
        Width = 97
        Height = 21
        Hint = 'Go to begin of bank'
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 6
        OnClick = PanelButtonBankRead0000Click
        OnDblClick = PanelButtonBankRead0000Click
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonBankReadC000: TPanel
        Left = 336
        Top = 26
        Width = 89
        Height = 21
        Hint = 'Go to begin of bank'
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 7
        OnClick = PanelButtonBankReadC000Click
        OnDblClick = PanelButtonBankReadC000Click
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object ComboBoxRAMBanksBaseAddress: TComboBox
        Left = 520
        Top = 26
        Width = 89
        Height = 22
        Hint = '64K expansion block start address'
        Style = csOwnerDrawFixed
        TabOrder = 8
        OnChange = ComboBoxRAMBanksBaseAddressChange
        OnDrawItem = ComboBoxDrawItem
      end
      object ComboBoxRAMBanksMapping: TComboBox
        Left = 520
        Top = 50
        Width = 89
        Height = 22
        Hint = 'RAM paging configuration'
        Style = csOwnerDrawFixed
        TabOrder = 9
        OnChange = ComboBoxRAMBanksMappingChange
        OnDrawItem = ComboBoxDrawItem
        Items.Strings = (
          '0-1-2-3  0'
          '0-1-2-7  1'
          '4-5-6-7  2'
          '0-3-2-7  3'
          '0-4-2-3  4'
          '0-5-2-3  5'
          '0-6-2-3  6'
          '0-7-2-3  7')
      end
    end
    object TabSheetAddress: TTabSheet
      Caption = 'Markers'
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        615
        75)
      object LabelRegisters: TLabel
        Left = 380
        Top = 8
        Width = 43
        Height = 21
        Alignment = taRightJustify
        Anchors = [akTop, akRight]
        AutoSize = False
        Caption = 'Regs'
        Layout = tlCenter
        ExplicitLeft = 352
      end
      object PanelAddress1: TPanel
        Left = 49
        Top = 8
        Width = 66
        Height = 21
        Hint = 'Marker 1'
        Color = clWhite
        ParentBackground = False
        TabOrder = 0
        OnClick = PanelMarkerAddressClick
        OnDblClick = PanelMarkerAddressClick
      end
      object PanelAddress2: TPanel
        Left = 49
        Top = 40
        Width = 66
        Height = 21
        Hint = 'Marker 2'
        Color = clWhite
        ParentBackground = False
        TabOrder = 1
        OnClick = PanelMarkerAddressClick
        OnDblClick = PanelMarkerAddressClick
      end
      object PanelButtonSetAddress1: TPanel
        Left = 8
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Set with current address'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 2
        OnClick = PanelButtonSetAddressClick
        OnDblClick = PanelButtonSetAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonGoToAddress1: TPanel
        Left = 115
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Go to marker'
        BevelInner = bvLowered
        Caption = 'Go'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 3
        OnClick = PanelButtonGoToAddressClick
        OnDblClick = PanelButtonGoToAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonSetAddress2: TPanel
        Left = 8
        Top = 40
        Width = 41
        Height = 21
        Hint = 'Set with current address'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 4
        OnClick = PanelButtonSetAddressClick
        OnDblClick = PanelButtonSetAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonGoToAddress2: TPanel
        Left = 115
        Top = 40
        Width = 41
        Height = 21
        Hint = 'Go to marker'
        BevelInner = bvLowered
        Caption = 'Go'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 5
        OnClick = PanelButtonGoToAddressClick
        OnDblClick = PanelButtonGoToAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonRegBC: TPanel
        Left = 428
        Top = 8
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'BC'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 6
        OnClick = PanelButtonRegBCClick
        OnDblClick = PanelButtonRegBCClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonRegBCAlt: TPanel
        Left = 428
        Top = 40
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'BC'#39
        ParentShowHint = False
        ShowHint = True
        TabOrder = 7
        OnClick = PanelButtonRegBCAltClick
        OnDblClick = PanelButtonRegBCAltClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonRegDE: TPanel
        Left = 463
        Top = 8
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'DE'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 8
        OnClick = PanelButtonRegDEClick
        OnDblClick = PanelButtonRegDEClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonRegDEAlt: TPanel
        Left = 463
        Top = 40
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'DE'#39
        ParentShowHint = False
        ShowHint = True
        TabOrder = 9
        OnClick = PanelButtonRegDEAltClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonRegHL: TPanel
        Left = 498
        Top = 8
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'HL'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 10
        OnClick = PanelButtonRegHLClick
        OnDblClick = PanelButtonRegHLClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonRegHLAlt: TPanel
        Left = 498
        Top = 40
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'HL'#39
        ParentShowHint = False
        ShowHint = True
        TabOrder = 11
        OnClick = PanelButtonRegHLAltClick
        OnDblClick = PanelButtonRegHLAltClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonRegSP: TPanel
        Left = 540
        Top = 8
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'SP'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 12
        OnClick = PanelButtonRegSPClick
        OnDblClick = PanelButtonRegSPClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonRegPC: TPanel
        Left = 575
        Top = 8
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'PC'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 13
        OnClick = PanelButtonRegPCClick
        OnDblClick = PanelButtonRegPCClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonRegIX: TPanel
        Left = 540
        Top = 40
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'IX'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 14
        OnClick = PanelButtonRegIXClick
        OnDblClick = PanelButtonRegIXClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonRegIY: TPanel
        Left = 575
        Top = 40
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'IY'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 15
        OnClick = PanelButtonRegIYClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonSetAddress3: TPanel
        Left = 176
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Set with current address'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 16
        OnClick = PanelButtonSetAddressClick
        OnDblClick = PanelButtonSetAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelAddress3: TPanel
        Left = 217
        Top = 8
        Width = 66
        Height = 21
        Hint = 'Marker 3'
        Color = clWhite
        ParentBackground = False
        TabOrder = 17
        OnClick = PanelMarkerAddressClick
        OnDblClick = PanelMarkerAddressClick
      end
      object PanelButtonGoToAddress3: TPanel
        Left = 283
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Go to marker'
        BevelInner = bvLowered
        Caption = 'Go'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 18
        OnClick = PanelButtonGoToAddressClick
        OnDblClick = PanelButtonGoToAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonSetAddress4: TPanel
        Left = 176
        Top = 40
        Width = 41
        Height = 21
        Hint = 'Set with current address'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 19
        OnClick = PanelButtonSetAddressClick
        OnDblClick = PanelButtonSetAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelAddress4: TPanel
        Left = 217
        Top = 40
        Width = 66
        Height = 21
        Hint = 'Marker 4'
        Color = clWhite
        ParentBackground = False
        TabOrder = 20
        OnClick = PanelMarkerAddressClick
        OnDblClick = PanelMarkerAddressClick
      end
      object PanelButtonGoToAddress4: TPanel
        Left = 283
        Top = 40
        Width = 41
        Height = 21
        Hint = 'Go to marker'
        BevelInner = bvLowered
        Caption = 'Go'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 21
        OnClick = PanelButtonGoToAddressClick
        OnDblClick = PanelButtonGoToAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
    end
    object TabSheetSearch: TTabSheet
      Caption = 'Search'
      ImageIndex = 1
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        615
        75)
      object LabelSearch: TLabel
        Left = 24
        Top = 16
        Width = 65
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Text'
        Layout = tlCenter
      end
      object PanelFormatSearch: TPanel
        Left = 96
        Top = 16
        Width = 17
        Height = 21
        Hint = 'Hexa or Text format'
        Caption = '$'
        Color = 16773087
        ParentBackground = False
        TabOrder = 0
        OnClick = PanelFormatSearchClick
        OnDblClick = PanelFormatSearchClick
      end
      object EditSearch: TEdit
        Left = 112
        Top = 16
        Width = 309
        Height = 22
        Hint = 'Hex data can be "11AA02" or "11 AA 02" or "11.AA.02"...'
        Anchors = [akLeft, akTop, akRight]
        AutoSize = False
        TabOrder = 1
        OnKeyPress = EditSearchKeyPress
      end
      object CheckBoxStringCaseSensitive: TCheckBox
        Left = 120
        Top = 46
        Width = 169
        Height = 17
        Caption = 'Case sensitive'
        TabOrder = 2
      end
      object PanelButtonSearchNext: TPanel
        Left = 455
        Top = 16
        Width = 110
        Height = 33
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Find next'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 3
        OnClick = PanelButtonSearchNextClick
        OnDblClick = PanelButtonSearchNextClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
    end
    object TabSheetFill: TTabSheet
      Caption = 'Fill'
      ImageIndex = 2
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        615
        75)
      object LabelFillFrom: TLabel
        Left = 32
        Top = 8
        Width = 121
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Address From'
        Layout = tlCenter
      end
      object LabelFillTo: TLabel
        Left = 112
        Top = 40
        Width = 41
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'To'
        Layout = tlCenter
      end
      object LabelFillData: TLabel
        Left = 296
        Top = 8
        Width = 49
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Data'
        Layout = tlCenter
      end
      object PanelFormatFillFrom: TPanel
        Left = 200
        Top = 8
        Width = 17
        Height = 21
        Hint = 'Hexa or Decimal format'
        Caption = '&&'
        Color = 16773087
        ParentBackground = False
        TabOrder = 0
        OnClick = PanelFormatFillFromClick
        OnDblClick = PanelFormatFillFromClick
      end
      object PanelFillFrom: TPanel
        Left = 217
        Top = 8
        Width = 66
        Height = 21
        Color = clWhite
        ParentBackground = False
        TabOrder = 1
        OnClick = PanelFillFromClick
      end
      object PanelFormatFillTo: TPanel
        Left = 200
        Top = 40
        Width = 17
        Height = 21
        Hint = 'Hexa or Decimal format'
        Caption = '&&'
        Color = 16773087
        ParentBackground = False
        TabOrder = 2
        OnClick = PanelFormatFillToClick
        OnDblClick = PanelFormatFillToClick
      end
      object PanelFillTo: TPanel
        Left = 217
        Top = 40
        Width = 66
        Height = 21
        Color = clWhite
        ParentBackground = False
        TabOrder = 3
        OnClick = PanelFillToClick
      end
      object PanelFormatFillData: TPanel
        Left = 392
        Top = 8
        Width = 17
        Height = 21
        Hint = 'Hexa or Decimal format'
        Caption = '&&'
        Color = 16773087
        ParentBackground = False
        TabOrder = 4
        OnClick = PanelFormatFillDataClick
        OnDblClick = PanelFormatFillDataClick
      end
      object PanelFillData: TPanel
        Left = 409
        Top = 8
        Width = 32
        Height = 21
        Color = clWhite
        ParentBackground = False
        TabOrder = 5
        OnClick = PanelFillDataClick
      end
      object PanelButtonSetFillFrom: TPanel
        Left = 160
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Set with current address'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 6
        OnClick = PanelButtonSetFillFromClick
        OnDblClick = PanelButtonSetFillFromClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonSetFillTo: TPanel
        Left = 160
        Top = 40
        Width = 41
        Height = 21
        Hint = 'Set with current address'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 7
        OnClick = PanelButtonSetFillToClick
        OnDblClick = PanelButtonSetFillToClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonSetFillData: TPanel
        Left = 352
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Set with data at current address'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 8
        OnClick = PanelButtonSetFillDataClick
        OnDblClick = PanelButtonSetFillDataClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonFill: TPanel
        Left = 492
        Top = 16
        Width = 97
        Height = 41
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Fill'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 9
        OnClick = PanelButtonFillClick
        OnDblClick = PanelButtonFillClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
    end
    object TabSheetDump: TTabSheet
      Caption = 'Dump'
      ImageIndex = 3
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        615
        75)
      object LabelDumpFrom: TLabel
        Left = 160
        Top = 8
        Width = 41
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'From'
        Layout = tlCenter
      end
      object LabelDumpTo: TLabel
        Left = 160
        Top = 40
        Width = 41
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'To'
        Layout = tlCenter
      end
      object PanelFormatExportFrom: TPanel
        Left = 248
        Top = 8
        Width = 17
        Height = 21
        Caption = '&&'
        Color = 16773087
        ParentBackground = False
        TabOrder = 0
        OnClick = PanelFormatExportFromClick
        OnDblClick = PanelFormatExportFromClick
      end
      object PanelExportFrom: TPanel
        Left = 265
        Top = 8
        Width = 66
        Height = 21
        Color = clWhite
        ParentBackground = False
        TabOrder = 1
        OnClick = PanelExportFromClick
      end
      object PanelFormatExportTo: TPanel
        Left = 248
        Top = 40
        Width = 17
        Height = 21
        Caption = '&&'
        Color = 16773087
        ParentBackground = False
        TabOrder = 2
        OnClick = PanelFormatExportToClick
        OnDblClick = PanelFormatExportToClick
      end
      object PanelExportTo: TPanel
        Left = 265
        Top = 40
        Width = 66
        Height = 21
        Color = clWhite
        ParentBackground = False
        TabOrder = 3
        OnClick = PanelExportToClick
      end
      object PanelButtonDumpSetFullLimits: TPanel
        Left = 8
        Top = 8
        Width = 137
        Height = 33
        BevelInner = bvLowered
        Caption = 'Set full limits'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 4
        OnClick = PanelButtonDumpSetFullLimitsClick
        OnDblClick = PanelButtonDumpSetFullLimitsClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonSetDumpFrom: TPanel
        Left = 208
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Set with current address'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 5
        OnClick = PanelButtonSetDumpFromClick
        OnDblClick = PanelButtonSetDumpFromClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonSetDumpTo: TPanel
        Left = 208
        Top = 40
        Width = 41
        Height = 21
        Hint = 'Set with current address'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 6
        OnClick = PanelButtonSetDumpToClick
        OnDblClick = PanelButtonSetDumpToClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonDumpExportText: TPanel
        Left = 404
        Top = 8
        Width = 97
        Height = 25
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Export TXT'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 7
        OnClick = PanelButtonDumpExportTextClick
        OnDblClick = PanelButtonDumpExportTextClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonDumpExportBinary: TPanel
        Left = 508
        Top = 8
        Width = 97
        Height = 25
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Export BIN'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 8
        OnClick = PanelButtonDumpExportBinaryClick
        OnDblClick = PanelButtonDumpExportBinaryClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonDumpImportBinary: TPanel
        Left = 508
        Top = 40
        Width = 97
        Height = 25
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Import BIN'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 9
        OnClick = PanelButtonDumpImportBinaryClick
        OnDblClick = PanelButtonDumpImportBinaryClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
    end
  end
  object PanelStatus: TPanel
    Left = 8
    Top = 120
    Width = 630
    Height = 25
    Anchors = [akLeft, akTop, akRight]
    BevelOuter = bvNone
    ParentColor = True
    TabOrder = 2
    DesignSize = (
      630
      25)
    object LabelCurrentAddress: TLabel
      Left = 192
      Top = 0
      Width = 65
      Height = 21
      Alignment = taRightJustify
      AutoSize = False
      Caption = 'Current'
      Layout = tlCenter
    end
    object PanelCurrentAddress: TPanel
      Left = 264
      Top = 0
      Width = 66
      Height = 21
      Color = clWhite
      ParentBackground = False
      TabOrder = 0
      OnClick = PanelCurrentAddressClick
    end
    object PanelButtonRefresh: TPanel
      Left = 0
      Top = 0
      Width = 89
      Height = 21
      Anchors = [akTop, akRight]
      BevelInner = bvLowered
      Caption = 'Refresh'
      TabOrder = 1
      OnClick = PanelButtonRefreshClick
      OnDblClick = PanelButtonRefreshClick
      OnMouseDown = PanelButtonMouseDown
      OnMouseUp = PanelButtonMouseUp
    end
    object PanelCheckMonitoring: TPanel
      Left = 96
      Top = 0
      Width = 89
      Height = 21
      Anchors = [akTop, akRight]
      BevelInner = bvLowered
      Caption = 'Monitor'
      TabOrder = 2
      OnClick = PanelCheckMonitoringClick
      OnDblClick = PanelCheckMonitoringClick
    end
    object PanelButtonGoCurrentAddress: TPanel
      Left = 330
      Top = 0
      Width = 41
      Height = 21
      Hint = 'Go at current address'
      BevelInner = bvLowered
      Caption = 'Go'
      TabOrder = 3
      OnClick = PanelButtonGoCurrentAddressClick
      OnMouseDown = PanelButtonMouseDown
      OnMouseUp = PanelButtonMouseUp
    end
    object PanelButtonAddBreakpoint: TPanel
      Left = 512
      Top = 0
      Width = 49
      Height = 21
      Hint = 'Toggle Read/Write Memory Breakpoint'
      Anchors = [akTop, akRight]
      BevelInner = bvLowered
      Caption = 'BP'
      TabOrder = 4
      OnClick = PanelButtonAddBreakpointClick
      OnDblClick = PanelButtonAddBreakpointClick
      OnMouseDown = PanelButtonMouseDown
      OnMouseUp = PanelButtonMouseUp
    end
    object PanelButtonShowInstruction: TPanel
      Left = 568
      Top = 0
      Width = 49
      Height = 21
      Hint = 'Show Z80 Instruction'
      Anchors = [akTop, akRight]
      BevelInner = bvLowered
      Caption = '>CPU'
      TabOrder = 5
      OnClick = SetZ80InstructionsTopAddressMenuClick
      OnDblClick = SetZ80InstructionsTopAddressMenuClick
      OnMouseDown = PanelButtonMouseDown
      OnMouseUp = PanelButtonMouseUp
    end
  end
  object SaveDialog: TSaveDialog
    Options = [ofOverwritePrompt, ofHideReadOnly, ofPathMustExist, ofEnableSizing]
    Left = 436
    Top = 144
  end
  object OpenDialog: TOpenDialog
    Options = [ofHideReadOnly, ofFileMustExist, ofEnableSizing]
    Left = 372
    Top = 144
  end
  object PopupMenuMemoryCell: TPopupMenu
    Left = 448
    Top = 248
    object AddReadWriteMemoryBreakpointMenu: TMenuItem
      Caption = 'Add Breakpoint'
      OnClick = PanelButtonAddBreakpointClick
    end
    object SetZ80InstructionsTopAddressMenu: TMenuItem
      Caption = 'Show Instruction'
      OnClick = SetZ80InstructionsTopAddressMenuClick
    end
  end
end
