object FormCodeExplorer: TFormCodeExplorer
  Left = 0
  Top = 0
  BorderIcons = [biSystemMenu, biMaximize]
  Caption = 'Code explorer'
  ClientHeight = 365
  ClientWidth = 737
  Color = clBtnFace
  Constraints.MinHeight = 403
  Constraints.MinWidth = 753
  DoubleBuffered = True
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Tahoma'
  Font.Style = []
  OldCreateOrder = False
  Position = poOwnerFormCenter
  OnDestroy = FormDestroy
  OnHide = FormHide
  OnResize = FormResize
  OnShow = FormShow
  DesignSize = (
    737
    365)
  PixelsPerInch = 96
  TextHeight = 13
  object LabelTopAddress: TLabel
    Left = 96
    Top = 8
    Width = 33
    Height = 21
    Alignment = taRightJustify
    AutoSize = False
    Caption = 'Top'
    Layout = tlCenter
  end
  object PanelFormatTopAddress: TPanel
    Left = 136
    Top = 8
    Width = 17
    Height = 21
    Caption = '&&'
    Color = 16773087
    ParentBackground = False
    TabOrder = 0
    OnClick = PanelFormatTopAddressClick
  end
  object PanelTopAddress: TPanel
    Left = 153
    Top = 8
    Width = 64
    Height = 21
    Hint = 'Address of the top of instructions list'
    Color = clWhite
    ParentBackground = False
    TabOrder = 1
    OnClick = PanelTopAddressClick
    OnDblClick = PanelTopAddressClick
  end
  object TabControlMemoryContent: TTabControl
    Left = 8
    Top = 40
    Width = 313
    Height = 185
    Anchors = [akLeft, akTop, akBottom]
    OwnerDraw = True
    TabHeight = 20
    TabOrder = 2
    Tabs.Strings = (
      'Banked write'
      'Lower ROM'
      'Upper ROM')
    TabIndex = 0
    OnChange = TabControlMemoryContentChange
    OnDrawTab = TabControlMemoryContentDrawTab
    DesignSize = (
      313
      185)
    object StringGridInstructions: TStringGrid
      Left = 2
      Top = 29
      Width = 290
      Height = 153
      Anchors = [akLeft, akTop, akRight, akBottom]
      BorderStyle = bsNone
      ColCount = 3
      DefaultRowHeight = 16
      DefaultDrawing = False
      DrawingStyle = gdsGradient
      FixedCols = 0
      FixedRows = 0
      GridLineWidth = 0
      Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goRowSelect]
      ParentColor = True
      ScrollBars = ssNone
      TabOrder = 0
      OnClick = StringGridInstructionsClick
      OnDblClick = StringGridInstructionsDblClick
      OnDrawCell = StringGridInstructionsDrawCell
      OnKeyDown = StringGridInstructionsKeyDown
      OnMouseWheelDown = StringGridInstructionsMouseWheelDown
      OnMouseWheelUp = StringGridInstructionsMouseWheelUp
    end
    object ScrollBarAddress: TScrollBar
      Left = 293
      Top = 24
      Width = 17
      Height = 158
      Anchors = [akTop, akRight, akBottom]
      Ctl3D = False
      Kind = sbVertical
      LargeChange = 16
      Max = 65535
      PageSize = 1
      ParentCtl3D = False
      TabOrder = 1
      OnChange = ScrollBarAddressChange
    end
  end
  object PageControlFeatures: TPageControl
    Left = 328
    Top = 40
    Width = 401
    Height = 321
    ActivePage = TabSheetPatch
    Anchors = [akLeft, akTop, akRight, akBottom]
    OwnerDraw = True
    TabHeight = 20
    TabOrder = 3
    OnChange = PageControlFeaturesChange
    OnDrawTab = PageControlFeaturesDrawTab
    object TabSheetPatch: TTabSheet
      Caption = 'Patch'
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        393
        291)
      object PanelPatchMachine: TPanel
        Left = 8
        Top = 32
        Width = 369
        Height = 21
        Alignment = taLeftJustify
        Anchors = [akLeft, akTop, akRight]
        BevelOuter = bvNone
        ParentColor = True
        TabOrder = 0
      end
      object EditPatchAssembly: TEdit
        Left = 8
        Top = 8
        Width = 169
        Height = 24
        Font.Charset = ANSI_CHARSET
        Font.Color = clWindowText
        Font.Height = -13
        Font.Name = 'Courier New'
        Font.Style = []
        HideSelection = False
        ParentFont = False
        TabOrder = 1
        OnChange = EditPatchAssemblyChange
      end
      object PanelButtonPatchUpdate: TPanel
        Left = 184
        Top = 8
        Width = 81
        Height = 21
        BevelInner = bvLowered
        Caption = 'Update'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 2
        OnClick = PanelButtonPatchUpdateClick
        OnDblClick = PanelButtonPatchUpdateClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
    end
    object TabSheetAssembler: TTabSheet
      Caption = 'Pasmo Assembler'
      ImageIndex = 1
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        393
        291)
      object LabelCodeOrigin: TLabel
        Left = 8
        Top = 80
        Width = 49
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Origin'
        Layout = tlCenter
      end
      object LabelCodeSize: TLabel
        Left = 16
        Top = 128
        Width = 41
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Size'
        Layout = tlCenter
      end
      object LabelAssemblerDriveA: TLabel
        Left = 16
        Top = 10
        Width = 57
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Drive A'
        Layout = tlCenter
      end
      object LabelCodeLast: TLabel
        Left = 8
        Top = 104
        Width = 49
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Last'
        Layout = tlCenter
      end
      object LabelIncludesDirectory: TLabel
        Left = 8
        Top = 236
        Width = 65
        Height = 21
        Alignment = taRightJustify
        Anchors = [akLeft, akBottom]
        AutoSize = False
        Caption = 'Includes'
        Layout = tlCenter
        ExplicitTop = 232
      end
      object LabelPredefines: TLabel
        Left = 56
        Top = 264
        Width = 81
        Height = 24
        Alignment = taRightJustify
        Anchors = [akLeft, akBottom]
        AutoSize = False
        Caption = 'Predefines'
        Layout = tlCenter
        ExplicitTop = 260
      end
      object LabelLine: TLabel
        Left = 256
        Top = 238
        Width = 33
        Height = 21
        Alignment = taRightJustify
        Anchors = [akRight, akBottom]
        AutoSize = False
        Caption = 'Line'
        Layout = tlCenter
      end
      object PanelFormatCodeOrigin: TPanel
        Left = 103
        Top = 80
        Width = 17
        Height = 21
        Caption = '&&'
        Color = 16773087
        ParentBackground = False
        TabOrder = 0
        OnClick = PanelFormatCodeOriginClick
      end
      object PanelCodeOrigin: TPanel
        Left = 121
        Top = 80
        Width = 71
        Height = 21
        Color = clWhite
        ParentBackground = False
        TabOrder = 1
        OnClick = PanelCodeOriginClick
      end
      object PanelFormatCodeSize: TPanel
        Left = 103
        Top = 128
        Width = 17
        Height = 21
        Caption = '&&'
        Color = 16773087
        ParentBackground = False
        TabOrder = 2
        OnClick = PanelFormatCodeSizeClick
      end
      object PanelCodeSize: TPanel
        Left = 120
        Top = 128
        Width = 71
        Height = 21
        ParentBackground = False
        ParentColor = True
        TabOrder = 3
      end
      object PanelButtonSetCodeOrigin: TPanel
        Left = 62
        Top = 80
        Width = 41
        Height = 21
        Hint = 'Set with current address'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 4
        OnClick = PanelButtonSetCodeOriginClick
        OnDblClick = PanelButtonSetCodeOriginClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonGoToCodeOrigin: TPanel
        Left = 192
        Top = 80
        Width = 41
        Height = 21
        BevelInner = bvLowered
        Caption = 'Go'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 5
        OnClick = PanelButtonGoToCodeOriginClick
        OnDblClick = PanelButtonGoToCodeOriginClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonPeek: TPanel
        Left = 88
        Top = 200
        Width = 65
        Height = 25
        Hint = 'Read code from "Origin" to "Last"'
        BevelInner = bvLowered
        Caption = 'Peek'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 6
        OnClick = PanelButtonPeekClick
        OnDblClick = PanelButtonPeekClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonAssemblerUpdate: TPanel
        Left = 160
        Top = 168
        Width = 73
        Height = 57
        Hint = 'Compile and Write code to "Origin"'
        BevelInner = bvLowered
        Caption = 'Compile'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 7
        OnClick = PanelButtonAssemblerUpdateClick
        OnDblClick = PanelButtonAssemblerUpdateClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonAssemblerLoad: TPanel
        Left = 8
        Top = 168
        Width = 73
        Height = 25
        Hint = 'Import assembler file from Windows'
        BevelInner = bvLowered
        Caption = 'Import'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 8
        OnClick = PanelButtonAssemblerLoadClick
        OnDblClick = PanelButtonAssemblerLoadClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonAssemblerSave: TPanel
        Left = 8
        Top = 200
        Width = 73
        Height = 25
        Hint = 'Export assembler file to Windows'
        BevelInner = bvLowered
        Caption = 'Export'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 9
        OnClick = PanelButtonAssemblerSaveClick
        OnDblClick = PanelButtonAssemblerSaveClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object RichEditAssembler: TRichEdit
        Left = 240
        Top = 0
        Width = 153
        Height = 233
        Anchors = [akLeft, akTop, akRight, akBottom]
        BevelEdges = []
        Font.Charset = ANSI_CHARSET
        Font.Color = clWindowText
        Font.Height = -13
        Font.Name = 'Courier New'
        Font.Style = []
        HideSelection = False
        Lines.Strings = (
          '; Pasmo documentation '
          '; available from menu "Help!"'
          '; or from website at http://pasmo.speccy.org/'
          ';'
          '; Try to import "Hello world.asm"')
        ParentFont = False
        PlainText = True
        PopupMenu = PopupMenuAssembler
        ScrollBars = ssBoth
        TabOrder = 10
        WantTabs = True
        Zoom = 100
        OnChange = RichEditAssemblerChange
        OnClick = RichEditAssemblerClick
        OnKeyDown = RichEditAssemblerKeyDown
        OnKeyUp = RichEditAssemblerKeyUp
      end
      object ComboBoxAssemblerFilename: TComboBox
        Left = 80
        Top = 8
        Width = 153
        Height = 24
        Hint = 'Drive A catalogue'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -13
        Font.Name = 'Courier New'
        Font.Style = []
        ParentFont = False
        TabOrder = 11
        Text = 'ComboBoxAssemblerFilename'
      end
      object PanelButtonAssemblerDriveASave: TPanel
        Left = 160
        Top = 35
        Width = 73
        Height = 24
        Hint = 'Save binary file to drive A'
        BevelInner = bvLowered
        Caption = 'Save'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 12
        OnClick = PanelButtonAssemblerDriveASaveClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonSetCodeLast: TPanel
        Left = 62
        Top = 104
        Width = 41
        Height = 21
        Hint = 'Set with current address'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 13
        OnClick = PanelButtonSetCodeLastClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelFormatCodeLast: TPanel
        Left = 103
        Top = 104
        Width = 17
        Height = 21
        Caption = '&&'
        Color = 16773087
        ParentBackground = False
        TabOrder = 14
        OnClick = PanelFormatCodeLastClick
      end
      object PanelCodeLast: TPanel
        Left = 121
        Top = 104
        Width = 71
        Height = 21
        Color = clWhite
        ParentBackground = False
        TabOrder = 15
        OnClick = PanelCodeLastClick
      end
      object PanelButtonGoToCodeLast: TPanel
        Left = 192
        Top = 104
        Width = 41
        Height = 21
        BevelInner = bvLowered
        Caption = 'Go'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 16
        OnClick = PanelButtonGoToCodeLastClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonAssemblerDriveALoad: TPanel
        Left = 80
        Top = 35
        Width = 73
        Height = 24
        Hint = 'Load binary file from drive A'
        BevelInner = bvLowered
        Caption = 'Load'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 17
        OnClick = PanelButtonAssemblerDriveALoadClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object EditPredefines: TEdit
        Left = 144
        Top = 264
        Width = 249
        Height = 24
        Hint = 'Enter predefines separated by a semicolon (";")'
        Anchors = [akLeft, akRight, akBottom]
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -13
        Font.Name = 'Courier New'
        Font.Style = []
        ParentFont = False
        ParentShowHint = False
        ShowHint = True
        TabOrder = 18
        OnChange = EditPredefinesChange
      end
      object PanelCheckUsePredefines: TPanel
        Left = 8
        Top = 264
        Width = 41
        Height = 24
        Hint = 'Use predefines'
        Anchors = [akLeft, akBottom]
        BevelInner = bvLowered
        Caption = 'Use'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 19
        OnClick = PanelCheckUsePredefinesClick
        OnDblClick = PanelCheckUsePredefinesClick
      end
      object EditIncludesDirectory: TEdit
        Left = 80
        Top = 236
        Width = 169
        Height = 24
        Hint = 'Double click to select directory'
        Anchors = [akLeft, akRight, akBottom]
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -13
        Font.Name = 'Courier New'
        Font.Style = []
        ParentFont = False
        ParentShowHint = False
        ShowHint = True
        TabOrder = 20
        OnChange = EditIncludesDirectoryChange
        OnDblClick = EditIncludesDirectoryDblClick
      end
      object PanelButtonClear: TPanel
        Left = 88
        Top = 168
        Width = 65
        Height = 25
        Hint = 'Erase all assembler lines'
        BevelInner = bvLowered
        Caption = 'Clear'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 21
        OnClick = PanelButtonClearClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonGoToLine: TPanel
        Left = 352
        Top = 237
        Width = 41
        Height = 24
        Hint = 'Go to line'
        Anchors = [akRight, akBottom]
        BevelInner = bvLowered
        Caption = 'Go'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 22
        OnClick = PanelButtonGoToLineClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object EditLine: TEdit
        Left = 296
        Top = 236
        Width = 55
        Height = 24
        Hint = 'Double click to select directory'
        Anchors = [akRight, akBottom]
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -13
        Font.Name = 'Courier New'
        Font.Style = []
        ParentFont = False
        ParentShowHint = False
        ShowHint = True
        TabOrder = 23
        Text = '1'
        OnClick = EditLineClick
        OnKeyPress = EditLineKeyPress
      end
    end
    object TabSheetBASIC: TTabSheet
      Caption = 'BASIC'
      ImageIndex = 2
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        393
        291)
      object LabelBasicDriveA: TLabel
        Left = 16
        Top = 10
        Width = 57
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Drive A'
        Layout = tlCenter
      end
      object PanelButtonBasicRead: TPanel
        Left = 8
        Top = 40
        Width = 65
        Height = 25
        Hint = 'Read program from RAM'
        BevelInner = bvLowered
        Caption = 'Peek'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 0
        OnClick = PanelButtonBasicReadClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object RichEditBasic: TRichEdit
        Left = 80
        Top = 40
        Width = 313
        Height = 249
        Anchors = [akLeft, akTop, akRight, akBottom]
        BevelEdges = []
        Font.Charset = ANSI_CHARSET
        Font.Color = clWindowText
        Font.Height = -13
        Font.Name = 'Courier New'
        Font.Style = []
        HideSelection = False
        ParentFont = False
        PlainText = True
        PopupMenu = PopupMenuBASIC
        ScrollBars = ssBoth
        TabOrder = 1
        Zoom = 100
        OnChange = RichEditAssemblerChange
        OnClick = RichEditAssemblerClick
        OnKeyDown = RichEditAssemblerKeyDown
        OnKeyUp = RichEditAssemblerKeyUp
      end
      object ComboBoxBasicFilename: TComboBox
        Left = 80
        Top = 8
        Width = 153
        Height = 24
        Hint = 'Drive A catalogue'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -13
        Font.Name = 'Courier New'
        Font.Style = []
        ParentFont = False
        TabOrder = 2
      end
      object PanelButtonBasicDriveALoad: TPanel
        Left = 240
        Top = 8
        Width = 73
        Height = 24
        Hint = 'Load basic file from drive A'
        BevelInner = bvLowered
        Caption = 'Load'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 3
        OnClick = PanelButtonBasicDriveALoadClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonBasicDriveASave: TPanel
        Left = 320
        Top = 8
        Width = 73
        Height = 24
        Hint = 'Save basic file to drive A'
        BevelInner = bvLowered
        Caption = 'Save'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 4
        Visible = False
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonBasicGoTo: TPanel
        Left = 8
        Top = 72
        Width = 65
        Height = 25
        Hint = 'Go to current BASIC line'
        BevelInner = bvLowered
        Caption = 'Goto'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 5
        OnClick = PanelButtonBasicGoToClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
    end
  end
  object PanelButtonRefresh: TPanel
    Left = 8
    Top = 8
    Width = 81
    Height = 21
    Hint = 'Refresh display'
    BevelInner = bvLowered
    Caption = 'Refresh'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 4
    OnClick = PanelButtonRefreshClick
    OnDblClick = PanelButtonRefreshClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
  object PanelButtonRegPC: TPanel
    Left = 232
    Top = 8
    Width = 81
    Height = 21
    Hint = 'Set PC as current address'
    BevelInner = bvLowered
    Caption = 'PC'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 5
    OnClick = PanelButtonRegPCClick
    OnDblClick = PanelButtonRegPCClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
  object PanelButtonSetAddress1: TPanel
    Left = 424
    Top = 8
    Width = 41
    Height = 21
    Hint = 'Set with current address'
    BevelInner = bvLowered
    Caption = 'Set'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 6
    OnClick = PanelButtonSetAddressClick
    OnDblClick = PanelButtonSetAddressClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
  object PanelAddress1: TPanel
    Left = 465
    Top = 8
    Width = 66
    Height = 21
    Hint = 'Marker 1'
    Color = clWhite
    ParentBackground = False
    TabOrder = 7
    OnClick = PanelAddressClick
    OnDblClick = PanelAddressClick
  end
  object PanelButtonGoToAddress1: TPanel
    Left = 531
    Top = 8
    Width = 41
    Height = 21
    Hint = 'Go to marker'
    BevelInner = bvLowered
    Caption = 'Go'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 8
    OnClick = PanelButtonGoToAddressClick
    OnDblClick = PanelButtonGoToAddressClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
  object PanelButtonSetAddress2: TPanel
    Left = 584
    Top = 8
    Width = 41
    Height = 21
    Hint = 'Set with current address'
    BevelInner = bvLowered
    Caption = 'Set'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 9
    OnClick = PanelButtonSetAddressClick
    OnDblClick = PanelButtonSetAddressClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
  object PanelAddress2: TPanel
    Left = 625
    Top = 8
    Width = 66
    Height = 21
    Hint = 'Marker 2'
    Color = clWhite
    ParentBackground = False
    TabOrder = 10
    OnClick = PanelAddressClick
    OnDblClick = PanelAddressClick
  end
  object PanelButtonGoToAddress2: TPanel
    Left = 691
    Top = 8
    Width = 41
    Height = 21
    Hint = 'Go to marker'
    BevelInner = bvLowered
    Caption = 'Go'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 11
    OnClick = PanelButtonGoToAddressClick
    OnDblClick = PanelButtonGoToAddressClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
  object GroupBoxBanks: TGroupBox
    Left = 8
    Top = 232
    Width = 313
    Height = 129
    Anchors = [akLeft, akBottom]
    Caption = ' RAM banks '
    TabOrder = 12
    object LabelBankWrite4000: TLabel
      Left = 168
      Top = 72
      Width = 33
      Height = 21
      Alignment = taRightJustify
      AutoSize = False
      Caption = '4000'
      Layout = tlCenter
    end
    object LabelCommentRAMBaseAddress: TLabel
      Left = 192
      Top = 18
      Width = 113
      Height = 21
      AutoSize = False
      Caption = 'Base'
      Layout = tlCenter
    end
    object LabelBankWriteC000: TLabel
      Left = 168
      Top = 96
      Width = 33
      Height = 21
      Alignment = taRightJustify
      AutoSize = False
      Caption = 'C000'
      Layout = tlCenter
    end
    object LabelBankWrite0000: TLabel
      Left = 8
      Top = 72
      Width = 33
      Height = 21
      Alignment = taRightJustify
      AutoSize = False
      Caption = '0000'
      Layout = tlCenter
    end
    object LabelBankWrite8000: TLabel
      Left = 8
      Top = 96
      Width = 33
      Height = 21
      Alignment = taRightJustify
      AutoSize = False
      Caption = '8000'
      Layout = tlCenter
    end
    object LabelRAMBanksBaseAddress: TLabel
      Left = 8
      Top = 18
      Width = 81
      Height = 21
      Alignment = taRightJustify
      AutoSize = False
      Caption = 'Block addr'
      Layout = tlCenter
    end
    object LabelRAMBanksMapping: TLabel
      Left = 8
      Top = 42
      Width = 81
      Height = 21
      Alignment = taRightJustify
      AutoSize = False
      Caption = 'Paging'
      Layout = tlCenter
    end
    object LabelCommentOUTCommand: TLabel
      Left = 192
      Top = 42
      Width = 113
      Height = 21
      AutoSize = False
      Caption = 'OUT'
      Layout = tlCenter
    end
    object ComboBoxRAMBanksBaseAddress: TComboBox
      Left = 96
      Top = 18
      Width = 89
      Height = 22
      Hint = '64K expansion block start address'
      Style = csOwnerDrawFixed
      TabOrder = 0
      OnChange = ComboBoxRAMBanksBaseAddressChange
      OnDrawItem = ComboBoxRAMBanksBaseAddressDrawItem
    end
    object PanelBankWrite4000: TPanel
      Left = 208
      Top = 72
      Width = 65
      Height = 21
      BevelInner = bvLowered
      ParentColor = True
      TabOrder = 1
    end
    object PanelBankWriteC000: TPanel
      Left = 208
      Top = 96
      Width = 65
      Height = 21
      BevelInner = bvLowered
      ParentColor = True
      TabOrder = 2
    end
    object PanelBankWrite0000: TPanel
      Left = 48
      Top = 72
      Width = 65
      Height = 21
      BevelInner = bvLowered
      ParentColor = True
      TabOrder = 3
    end
    object PanelBankWrite8000: TPanel
      Left = 48
      Top = 96
      Width = 65
      Height = 21
      BevelInner = bvLowered
      ParentColor = True
      TabOrder = 4
    end
    object ComboBoxRAMBanksMapping: TComboBox
      Left = 96
      Top = 42
      Width = 89
      Height = 22
      Hint = 'RAM paging configuration'
      Style = csOwnerDrawFixed
      TabOrder = 5
      OnChange = ComboBoxRAMBanksMappingChange
      OnDrawItem = ComboBoxRAMBanksBaseAddressDrawItem
      Items.Strings = (
        '0-1-2-3  0'
        '0-1-2-7  1'
        '4-5-6-7  2'
        '0-3-2-7  3'
        '0-4-2-3  4'
        '0-5-2-3  5'
        '0-6-2-3  6'
        '0-7-2-3  7')
    end
    object PanelButtonGoToBank0: TPanel
      Left = 113
      Top = 72
      Width = 34
      Height = 21
      Hint = 'Go to bank 0'
      BevelInner = bvLowered
      Caption = 'Go'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 6
      OnClick = PanelButtonGoToBank0Click
      OnDblClick = PanelButtonGoToBank0Click
      OnMouseDown = PanelButtonMouseDown
      OnMouseUp = PanelButtonMouseUp
    end
    object PanelButtonGoToBank2: TPanel
      Left = 113
      Top = 96
      Width = 34
      Height = 21
      Hint = 'Go to bank 2'
      BevelInner = bvLowered
      Caption = 'Go'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 7
      OnClick = PanelButtonGoToBank2Click
      OnMouseDown = PanelButtonMouseDown
      OnMouseUp = PanelButtonMouseUp
    end
    object PanelButtonGoToBank1: TPanel
      Left = 273
      Top = 72
      Width = 34
      Height = 21
      Hint = 'Go to bank 1'
      BevelInner = bvLowered
      Caption = 'Go'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 8
      OnClick = PanelButtonGoToBank1Click
      OnMouseDown = PanelButtonMouseDown
      OnMouseUp = PanelButtonMouseUp
    end
    object PanelButtonGoToBank3: TPanel
      Left = 273
      Top = 96
      Width = 34
      Height = 21
      Hint = 'Go to bank 3'
      BevelInner = bvLowered
      Caption = 'Go'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 9
      OnClick = PanelButtonGoToBank3Click
      OnMouseDown = PanelButtonMouseDown
      OnMouseUp = PanelButtonMouseUp
    end
  end
  object PanelButtonAddBreakpoint: TPanel
    Left = 328
    Top = 8
    Width = 81
    Height = 21
    Hint = 'Toggle Breakpoint at selected address'
    BevelInner = bvLowered
    Caption = 'BP'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 13
    OnClick = PanelButtonAddBreakpointClick
    OnDblClick = PanelButtonAddBreakpointClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
  object OpenDialogAssembler: TOpenDialog
    Filter = 'Assembler (*.asm)|*.asm|Text (*.txt)|*.txt|All files|*.*'
    Left = 648
    Top = 112
  end
  object SaveDialogAssembler: TSaveDialog
    Filter = 'Assembler (*.asm)|*.asm|Text (*.txt)|*.txt|All files|*.*'
    Options = [ofOverwritePrompt, ofHideReadOnly, ofEnableSizing]
    Left = 648
    Top = 152
  end
  object PopupMenuAssembler: TPopupMenu
    Left = 648
    Top = 256
    object AssemblerSelectAllMenu: TMenuItem
      Caption = 'Select all'
      ShortCut = 16449
      OnClick = AssemblerSelectAllMenuClick
    end
    object AssemblerClearMenu: TMenuItem
      Caption = 'Clear'
      OnClick = AssemblerClearMenuClick
    end
    object AssemblerCopyMenu: TMenuItem
      Caption = 'Copy'
      ShortCut = 16451
      OnClick = AssemblerCopyMenuClick
    end
    object AssemblerPasteMenu: TMenuItem
      Caption = 'Paste'
      ShortCut = 16470
      OnClick = AssemblerPasteMenuClick
    end
  end
  object OpenDialogIncludes: TOpenDialog
    Options = [ofHideReadOnly, ofPathMustExist, ofEnableSizing]
    Left = 648
    Top = 192
  end
  object PopupMenuBASIC: TPopupMenu
    Left = 648
    Top = 296
    object BASICSelectAllMenu: TMenuItem
      Caption = 'Select all'
      ShortCut = 16449
      OnClick = BASICSelectAllMenuClick
    end
    object BASICClearMenu: TMenuItem
      Caption = 'Clear'
      OnClick = BASICClearMenuClick
    end
    object BASICCopyMenu: TMenuItem
      Caption = 'Copy'
      ShortCut = 16451
      OnClick = BASICCopyMenuClick
    end
    object BASICPasteMenu: TMenuItem
      Caption = 'Paste'
      ShortCut = 16470
      OnClick = BASICPasteMenuClick
    end
  end
end
