object FormGameControllerSettings: TFormGameControllerSettings
  Left = 648
  Top = 287
  BorderIcons = []
  Caption = 'Game controllers settings'
  ClientHeight = 474
  ClientWidth = 384
  Color = clBtnFace
  Constraints.MinHeight = 512
  Constraints.MinWidth = 400
  Font.Charset = ANSI_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Verdana'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnClose = FormClose
  OnResize = FormResize
  OnShow = FormShow
  DesignSize = (
    384
    474)
  PixelsPerInch = 96
  TextHeight = 13
  object ComboBoxControllersList: TComboBox
    Left = 8
    Top = 8
    Width = 257
    Height = 22
    Style = csOwnerDrawFixed
    Anchors = [akLeft, akTop, akRight]
    TabOrder = 1
    OnChange = ComboBoxControllersListChange
    OnDrawItem = ComboBoxControllersListDrawItem
  end
  object PageControlActions: TPageControl
    Left = 8
    Top = 40
    Width = 369
    Height = 293
    ActivePage = TabSheetButtons
    Anchors = [akLeft, akTop, akRight, akBottom]
    HotTrack = True
    OwnerDraw = True
    TabHeight = 20
    TabOrder = 0
    OnDrawTab = PageControlActionsDrawTab
    object TabSheetButtons: TTabSheet
      Caption = 'Buttons'
      OnShow = TabSheetButtonsShow
      DesignSize = (
        361
        263)
      object PanelListButtons: TPanel
        Left = 16
        Top = 8
        Width = 329
        Height = 233
        Anchors = [akLeft, akTop, akRight, akBottom]
        ParentColor = True
        TabOrder = 0
        DesignSize = (
          329
          233)
        object StringGridButtons: TStringGrid
          Left = 8
          Top = 8
          Width = 313
          Height = 193
          Anchors = [akLeft, akTop, akRight, akBottom]
          BorderStyle = bsNone
          ColCount = 2
          DoubleBuffered = True
          RowCount = 1
          FixedRows = 0
          Options = [goRangeSelect]
          ParentColor = True
          ParentDoubleBuffered = False
          ScrollBars = ssVertical
          TabOrder = 0
          OnDblClick = StringGridButtonsDblClick
          OnDrawCell = StringGridButtonsDrawCell
        end
        object PanelButtonUpdateButtons: TPanel
          Left = 8
          Top = 202
          Width = 313
          Height = 23
          Anchors = [akLeft, akRight, akBottom]
          BevelInner = bvLowered
          Caption = 'Update...'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 1
          OnClick = PanelButtonUpdateButtonsClick
          OnDblClick = PanelButtonUpdateButtonsClick
          OnMouseDown = PanelButtonMouseDown
          OnMouseUp = PanelButtonMouseUp
        end
      end
    end
    object TabSheetPOV: TTabSheet
      Caption = 'POV'
      ImageIndex = 1
      OnShow = TabSheetPOVShow
      DesignSize = (
        361
        263)
      object POVId: TLabel
        Left = 16
        Top = 8
        Width = 62
        Height = 25
        AutoSize = False
        Caption = 'POV'
        Layout = tlCenter
      end
      object ComboBoxPOVId: TComboBox
        Left = 88
        Top = 8
        Width = 65
        Height = 22
        Style = csOwnerDrawFixed
        TabOrder = 0
        OnChange = ComboBoxPOVIdChange
        OnDrawItem = ComboBoxPOVIdDrawItem
      end
      object PanelListPOV: TPanel
        Left = 16
        Top = 40
        Width = 329
        Height = 137
        Anchors = [akLeft, akTop, akRight, akBottom]
        ParentColor = True
        TabOrder = 1
        DesignSize = (
          329
          137)
        object PanelButtonUpdatePOV: TPanel
          Left = 8
          Top = 104
          Width = 313
          Height = 27
          Anchors = [akLeft, akRight, akBottom]
          BevelInner = bvLowered
          Caption = 'Update...'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 0
          OnClick = PanelButtonUpdatePOVClick
          OnDblClick = PanelButtonUpdatePOVClick
          OnMouseDown = PanelButtonMouseDown
          OnMouseUp = PanelButtonMouseUp
        end
        object StringGridPOV: TStringGrid
          Left = 8
          Top = 8
          Width = 313
          Height = 97
          Anchors = [akLeft, akTop, akRight, akBottom]
          BorderStyle = bsNone
          ColCount = 2
          DoubleBuffered = True
          RowCount = 4
          FixedRows = 0
          Options = [goRangeSelect]
          ParentColor = True
          ParentDoubleBuffered = False
          ScrollBars = ssVertical
          TabOrder = 1
          OnDblClick = StringGridPOVDblClick
          OnDrawCell = StringGridPOVDrawCell
        end
      end
    end
    object TabSheetAnalog: TTabSheet
      Caption = 'Analog'
      ImageIndex = 2
      OnShow = TabSheetAnalogShow
      object LabelAxis: TLabel
        Left = 16
        Top = 8
        Width = 105
        Height = 25
        AutoSize = False
        Caption = 'Axis'
        Layout = tlCenter
      end
      object LabelAnalogPressThreshold: TLabel
        Left = 16
        Top = 200
        Width = 145
        Height = 25
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Press threshold'
        Layout = tlCenter
      end
      object LabelAnalogDeadZone: TLabel
        Left = 16
        Top = 232
        Width = 145
        Height = 25
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Dead zone'
        Layout = tlCenter
      end
      object ComboBoxAnalogAxis: TComboBox
        Left = 88
        Top = 8
        Width = 65
        Height = 22
        Style = csOwnerDrawFixed
        TabOrder = 0
        OnChange = ComboBoxAnalogAxisChange
        OnDrawItem = ComboBoxAnalogAxisDrawItem
      end
      object TrackBarAnalogPressThreshold: TTrackBar
        Left = 168
        Top = 200
        Width = 185
        Height = 25
        Hint = 'Threshold to detect button press '
        Max = 100
        PageSize = 10
        Frequency = 10
        Position = 50
        ShowSelRange = False
        TabOrder = 1
        TickMarks = tmBoth
        TickStyle = tsNone
        OnChange = TrackBarAnalogPressThresholdChange
      end
      object CheckBoxAnalogMouseX: TCheckBox
        Left = 16
        Top = 144
        Width = 257
        Height = 17
        Caption = 'Fullscreen Mouse X'
        TabOrder = 2
        OnClick = CheckBoxAnalogMouseXClick
      end
      object CheckBoxAnalogMouseY: TCheckBox
        Left = 16
        Top = 168
        Width = 257
        Height = 17
        Caption = 'Fullscreen Mouse Y'
        TabOrder = 3
        OnClick = CheckBoxAnalogMouseYClick
      end
      object TrackBarAnalogDeadZone: TTrackBar
        Left = 168
        Top = 232
        Width = 185
        Height = 25
        Hint = 'Threshold to detect analog movement'
        Max = 20
        Frequency = 2
        Position = 10
        ShowSelRange = False
        TabOrder = 4
        TickMarks = tmBoth
        TickStyle = tsNone
        OnChange = TrackBarAnalogDeadZoneChange
      end
      object PanelListAnalog: TPanel
        Left = 16
        Top = 40
        Width = 329
        Height = 89
        ParentColor = True
        TabOrder = 5
        object PanelButtonUpdateAnalog: TPanel
          Left = 8
          Top = 58
          Width = 313
          Height = 23
          BevelInner = bvLowered
          Caption = 'Update...'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 0
          OnClick = PanelButtonUpdateAnalogClick
          OnDblClick = PanelButtonUpdateAnalogClick
          OnMouseDown = PanelButtonMouseDown
          OnMouseUp = PanelButtonMouseUp
        end
        object StringGridAnalog: TStringGrid
          Left = 8
          Top = 8
          Width = 313
          Height = 49
          BorderStyle = bsNone
          ColCount = 2
          DoubleBuffered = True
          RowCount = 2
          FixedRows = 0
          Options = [goRangeSelect]
          ParentColor = True
          ParentDoubleBuffered = False
          ScrollBars = ssVertical
          TabOrder = 1
          OnDblClick = StringGridAnalogDblClick
          OnDrawCell = StringGridAnalogDrawCell
        end
      end
    end
  end
  object GroupBoxProfile: TGroupBox
    Left = 8
    Top = 340
    Width = 369
    Height = 80
    Anchors = [akLeft, akRight, akBottom]
    Caption = ' Profile '
    TabOrder = 2
    DesignSize = (
      369
      80)
    object LabelFromProfile: TLabel
      Left = 8
      Top = 16
      Width = 81
      Height = 25
      Alignment = taRightJustify
      AutoSize = False
      Caption = 'From'
      Layout = tlCenter
    end
    object LabelSaveProfile: TLabel
      Left = 8
      Top = 48
      Width = 81
      Height = 21
      Alignment = taRightJustify
      AutoSize = False
      Caption = 'Save into'
      Layout = tlCenter
    end
    object ComboBoxProfiles: TComboBox
      Left = 104
      Top = 48
      Width = 257
      Height = 22
      Style = csOwnerDrawFixed
      Anchors = [akLeft, akTop, akRight]
      TabOrder = 0
      OnChange = ComboBoxProfilesChange
      OnDrawItem = ComboBoxProfilesDrawItem
    end
    object PanelFromProfile: TPanel
      Left = 104
      Top = 16
      Width = 257
      Height = 25
      Alignment = taLeftJustify
      BevelOuter = bvNone
      ParentColor = True
      TabOrder = 1
    end
  end
  object PanelButtonRefresh: TPanel
    Left = 8
    Top = 432
    Width = 89
    Height = 33
    Anchors = [akLeft, akBottom]
    BevelInner = bvLowered
    Caption = 'Reset'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 3
    OnClick = PanelButtonRefreshClick
    OnDblClick = PanelButtonRefreshClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
  object PanelButtonProperties: TPanel
    Left = 272
    Top = 8
    Width = 105
    Height = 25
    Hint = 'Set current address'
    Anchors = [akTop, akRight]
    BevelInner = bvLowered
    Caption = 'Properties'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 4
    OnClick = PanelButtonPropertiesClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
  object PanelButtonApply: TPanel
    Left = 176
    Top = 432
    Width = 105
    Height = 33
    Anchors = [akRight, akBottom]
    BevelInner = bvLowered
    Caption = 'Save'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 5
    OnClick = PanelButtonApplyClick
    OnDblClick = PanelButtonApplyClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
  object PanelButtonCancel: TPanel
    Left = 288
    Top = 432
    Width = 89
    Height = 33
    Anchors = [akRight, akBottom]
    BevelInner = bvLowered
    Caption = 'Cancel'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 6
    OnClick = PanelButtonCancelClick
    OnDblClick = PanelButtonCancelClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
end
