object FormGraphicsExplorer: TFormGraphicsExplorer
  Left = 0
  Top = 0
  BorderIcons = [biSystemMenu, biMaximize]
  Caption = 'Graphics explorer'
  ClientHeight = 463
  ClientWidth = 744
  Color = clBtnFace
  Constraints.MinHeight = 405
  Constraints.MinWidth = 752
  DoubleBuffered = True
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Tahoma'
  Font.Style = []
  OldCreateOrder = False
  Position = poDesigned
  OnDestroy = FormDestroy
  OnHide = FormHide
  OnResize = FormResize
  OnShow = FormShow
  DesignSize = (
    744
    463)
  PixelsPerInch = 96
  TextHeight = 13
  object LabelCursorAddress: TLabel
    Left = 312
    Top = 168
    Width = 57
    Height = 21
    Hint = 'Horizontal Total'
    Alignment = taRightJustify
    Anchors = [akTop, akRight]
    AutoSize = False
    Caption = 'Cursor'
    Layout = tlCenter
  end
  object LabelTileAddress: TLabel
    Left = 512
    Top = 168
    Width = 33
    Height = 21
    Hint = 'Horizontal Total'
    Alignment = taRightJustify
    Anchors = [akTop, akRight]
    AutoSize = False
    Caption = 'Tile'
    Layout = tlCenter
  end
  object LabelTopLeftAddress: TLabel
    Left = 8
    Top = 168
    Width = 65
    Height = 21
    Hint = 'Horizontal Total'
    Alignment = taRightJustify
    AutoSize = False
    Caption = 'Top Left'
    Layout = tlCenter
  end
  object PageControlExplorer: TPageControl
    Left = 8
    Top = 40
    Width = 728
    Height = 121
    ActivePage = TabSheetTiles
    Anchors = [akLeft, akTop, akRight]
    DoubleBuffered = True
    OwnerDraw = True
    ParentDoubleBuffered = False
    TabHeight = 20
    TabOrder = 0
    OnChanging = PageControlExplorerChanging
    OnDrawTab = PageControlExplorerDrawTab
    object TabSheetTiles: TTabSheet
      Caption = 'Tiles'
      object LabelMode: TLabel
        Left = 472
        Top = 8
        Width = 89
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Mode'
        Layout = tlCenter
      end
      object LabelAddressing: TLabel
        Left = 472
        Top = 40
        Width = 89
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Addressing'
        Layout = tlCenter
      end
      object LabelZoom: TLabel
        Left = 144
        Top = 8
        Width = 41
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Zoom'
        Layout = tlCenter
      end
      object LabelTileX: TLabel
        Left = 136
        Top = 40
        Width = 49
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Size X'
        Layout = tlCenter
      end
      object LabelTileY: TLabel
        Left = 136
        Top = 64
        Width = 49
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Y'
        Layout = tlCenter
      end
      object LabelMemory: TLabel
        Left = 472
        Top = 64
        Width = 89
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Memory'
        Layout = tlCenter
      end
      object ComboBoxMode: TComboBox
        Left = 568
        Top = 8
        Width = 145
        Height = 22
        Hint = 'Force graphic mode or keep current'
        Style = csOwnerDrawFixed
        TabOrder = 0
        OnChange = ComboBoxModeChange
        OnDrawItem = ComboBoxDrawItem
        Items.Strings = (
          'Current'
          '0'
          '1'
          '2')
      end
      object ComboBoxAddressing: TComboBox
        Left = 568
        Top = 40
        Width = 145
        Height = 22
        Hint = 'Select addressing mode'
        Style = csOwnerDrawFixed
        TabOrder = 1
        OnChange = ComboBoxAddressingChange
        OnDrawItem = ComboBoxDrawItem
        Items.Strings = (
          'Linear'
          'Screen')
      end
      object EditZoom: TEdit
        Left = 192
        Top = 8
        Width = 65
        Height = 21
        Hint = 'Display zoom'
        NumbersOnly = True
        TabOrder = 2
        Text = '1'
        OnChange = EditZoomChange
      end
      object UpDownZoom: TUpDown
        Left = 257
        Top = 8
        Width = 16
        Height = 21
        Associate = EditZoom
        Min = 1
        Position = 1
        TabOrder = 3
      end
      object EditTileX: TEdit
        Left = 192
        Top = 40
        Width = 65
        Height = 21
        Hint = 'Tile size X (bytes)'
        NumbersOnly = True
        TabOrder = 4
        Text = '2'
        OnChange = EditTileXChange
      end
      object UpDownTileX: TUpDown
        Left = 257
        Top = 40
        Width = 16
        Height = 21
        Associate = EditTileX
        Min = 1
        Position = 2
        TabOrder = 5
      end
      object EditTileY: TEdit
        Left = 192
        Top = 64
        Width = 65
        Height = 21
        Hint = 'Tile size Y (pixels)'
        NumbersOnly = True
        TabOrder = 6
        Text = '8'
        OnChange = EditTileYChange
      end
      object UpDownTileY: TUpDown
        Left = 257
        Top = 64
        Width = 16
        Height = 21
        Associate = EditTileY
        Min = 1
        Position = 8
        TabOrder = 7
      end
      object ComboBoxMemory: TComboBox
        Left = 568
        Top = 64
        Width = 145
        Height = 22
        Hint = 'Select memory content'
        Style = csOwnerDrawFixed
        TabOrder = 8
        OnChange = ComboBoxMemoryChange
        OnDrawItem = ComboBoxDrawItem
        Items.Strings = (
          'Banked Read'
          'Banked Write'
          'RAM')
      end
      object PanelButtonEditTile: TPanel
        Left = 8
        Top = 8
        Width = 81
        Height = 73
        Hint = 'Edit selected tile'
        BevelInner = bvLowered
        Caption = 'Edit'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 9
        OnClick = PanelButtonEditTileClick
        OnDblClick = PanelButtonEditTileClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object LabelGridX: TPanel
        Left = 304
        Top = 8
        Width = 49
        Height = 21
        Alignment = taRightJustify
        BevelOuter = bvNone
        Caption = 'Grid X'
        DoubleBuffered = True
        ParentColor = True
        ParentDoubleBuffered = False
        TabOrder = 10
      end
      object LabelGridY: TPanel
        Left = 304
        Top = 32
        Width = 49
        Height = 21
        Alignment = taRightJustify
        BevelOuter = bvNone
        Caption = 'Y'
        DoubleBuffered = True
        ParentColor = True
        ParentDoubleBuffered = False
        TabOrder = 11
      end
      object EditGridX: TEdit
        Left = 360
        Top = 8
        Width = 65
        Height = 21
        Hint = 'Tile size X (bytes)'
        NumbersOnly = True
        TabOrder = 12
        Text = '2'
        OnChange = EditGridXChange
      end
      object UpDownGridX: TUpDown
        Left = 425
        Top = 8
        Width = 16
        Height = 21
        Associate = EditGridX
        Min = 1
        Max = 80
        Position = 2
        TabOrder = 13
      end
      object EditGridY: TEdit
        Left = 360
        Top = 32
        Width = 65
        Height = 21
        Hint = 'Tile size X (bytes)'
        NumbersOnly = True
        TabOrder = 14
        Text = '2'
        OnChange = EditGridYChange
      end
      object UpDownGridY: TUpDown
        Left = 425
        Top = 32
        Width = 16
        Height = 21
        Associate = EditGridY
        Min = 1
        Max = 80
        Position = 2
        TabOrder = 15
      end
      object PanelButtonGridAutoSize: TPanel
        Left = 304
        Top = 62
        Width = 137
        Height = 21
        Hint = 'Adapt grid size to display'
        BevelInner = bvLowered
        Caption = 'Auto size'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 16
        OnClick = PanelButtonGridAutoSizeClick
        OnDblClick = PanelButtonGridAutoSizeClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
    end
    object TabSheetMapper: TTabSheet
      Caption = 'Mapper'
      ImageIndex = 1
      DesignSize = (
        720
        91)
      object LabelFirstTile: TLabel
        Left = 104
        Top = 8
        Width = 81
        Height = 21
        Hint = 'Horizontal Total'
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'First tile'
        Layout = tlCenter
      end
      object LabelLastTile: TLabel
        Left = 104
        Top = 32
        Width = 81
        Height = 21
        Hint = 'Horizontal Total'
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Last tile'
        Layout = tlCenter
      end
      object LabelMapStart: TLabel
        Left = 312
        Top = 8
        Width = 89
        Height = 21
        Hint = 'Horizontal Total'
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Map start'
        Layout = tlCenter
      end
      object LabelMapSizeX: TLabel
        Left = 536
        Top = 8
        Width = 49
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Size X'
        Layout = tlCenter
      end
      object LabelMapSizeY: TLabel
        Left = 536
        Top = 32
        Width = 49
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Y'
        Layout = tlCenter
      end
      object LabelMapperTiles: TLabel
        Left = 112
        Top = 64
        Width = 73
        Height = 21
        Hint = 'Horizontal Total'
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Nb tiles'
        Layout = tlCenter
      end
      object LabelMapperIndexing: TLabel
        Left = 320
        Top = 64
        Width = 73
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Indexing'
        Layout = tlCenter
      end
      object PanelFirstTile: TPanel
        Left = 233
        Top = 8
        Width = 72
        Height = 21
        Hint = 'Address of the first tile'
        Color = clWhite
        ParentBackground = False
        TabOrder = 0
        OnClick = PanelFirstTileClick
      end
      object PanelLastTile: TPanel
        Left = 233
        Top = 32
        Width = 72
        Height = 21
        Hint = 'Address of the last tile'
        Color = clWhite
        ParentBackground = False
        TabOrder = 1
        OnClick = PanelLastTileClick
      end
      object PanelMapStart: TPanel
        Left = 449
        Top = 8
        Width = 72
        Height = 21
        Hint = 'Address of the map start'
        Color = clWhite
        ParentBackground = False
        TabOrder = 2
        OnClick = PanelMapStartClick
        OnDblClick = PanelMapStartClick
      end
      object EditMapX: TEdit
        Left = 608
        Top = 8
        Width = 57
        Height = 21
        Hint = 'Map size X (tiles)'
        NumbersOnly = True
        TabOrder = 3
        Text = '32'
        OnChange = EditMapXChange
      end
      object UpDownMapX: TUpDown
        Left = 665
        Top = 8
        Width = 16
        Height = 21
        Associate = EditMapX
        Min = 1
        Max = 999
        Position = 32
        TabOrder = 4
      end
      object EditMapY: TEdit
        Left = 608
        Top = 32
        Width = 57
        Height = 21
        Hint = 'Map size Y (tiles)'
        NumbersOnly = True
        TabOrder = 5
        Text = '32'
        OnChange = EditMapYChange
      end
      object UpDownMapY: TUpDown
        Left = 665
        Top = 32
        Width = 16
        Height = 21
        Associate = EditMapY
        Min = 1
        Max = 999
        Position = 32
        TabOrder = 6
      end
      object ComboBoxIndexing: TComboBox
        Left = 400
        Top = 64
        Width = 312
        Height = 22
        Hint = 'Select how to build map'
        Style = csOwnerDrawFixed
        Anchors = [akLeft, akTop, akRight]
        TabOrder = 7
        OnChange = ComboBoxIndexingChange
        OnDrawItem = ComboBoxDrawItem
        Items.Strings = (
          '1 - Linear bytes'
          '2 - Compressed RL0 (Sorcery)'
          '3 - Linear words Big Endian (Prohibition)'
          '4 - Compressed RLE or MSB Linear (Bruce Lee)')
      end
      object EditMapperTiles: TEdit
        Left = 192
        Top = 64
        Width = 97
        Height = 21
        Hint = 'Number of tiles'
        NumbersOnly = True
        TabOrder = 8
        Text = '1'
        OnChange = EditMapperTilesChange
      end
      object UpDownMapperTiles: TUpDown
        Left = 289
        Top = 64
        Width = 16
        Height = 21
        Associate = EditMapperTiles
        Min = 1
        Max = 1024
        Position = 1
        TabOrder = 9
      end
      object PanelMapXReverse: TPanel
        Left = 591
        Top = 9
        Width = 17
        Height = 21
        Hint = 'Reverse X'
        Color = 16773087
        ParentBackground = False
        TabOrder = 10
        OnClick = PanelMapXReverseClick
      end
      object PanelMapYReverse: TPanel
        Left = 591
        Top = 33
        Width = 17
        Height = 21
        Hint = 'Reverse Y'
        Color = 16773087
        ParentBackground = False
        TabOrder = 11
        OnClick = PanelMapYReverseClick
      end
      object PanelButtonMapPreview: TPanel
        Left = 8
        Top = 8
        Width = 81
        Height = 73
        Hint = 'Map preview'
        BevelInner = bvLowered
        Caption = 'Preview'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 12
        OnClick = PanelButtonMapPreviewClick
      end
      object PanelButtonSetLastTile: TPanel
        Left = 192
        Top = 32
        Width = 41
        Height = 21
        Hint = 'Set with address of selected tile'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 13
        OnClick = PanelButtonSetLastTileClick
        OnDblClick = PanelButtonSetLastTileClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonSetFirstTile: TPanel
        Left = 192
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Set with address of selected tile'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 14
        OnClick = PanelButtonSetFirstTileClick
        OnDblClick = PanelButtonSetFirstTileClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
      object PanelButtonSetMapStart: TPanel
        Left = 408
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Set with address of selected tile'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 15
        OnClick = PanelButtonSetMapStartClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonMouseUp
      end
    end
  end
  object PanelCursorAddress: TPanel
    Left = 376
    Top = 168
    Width = 73
    Height = 21
    Hint = 'Address under the mouse cursor'
    Anchors = [akTop, akRight]
    BevelInner = bvLowered
    ParentColor = True
    TabOrder = 1
  end
  object PanelTileAddress: TPanel
    Left = 552
    Top = 168
    Width = 73
    Height = 21
    Hint = 'Address of the selected tile'
    Anchors = [akTop, akRight]
    BevelInner = bvLowered
    ParentColor = True
    TabOrder = 2
  end
  object PanelFormat: TPanel
    Left = 120
    Top = 168
    Width = 17
    Height = 21
    Caption = '&&'
    Color = 16773087
    ParentBackground = False
    TabOrder = 3
    OnClick = PanelFormatClick
  end
  object PanelAddress: TPanel
    Left = 137
    Top = 168
    Width = 72
    Height = 21
    Hint = 'Address of the top left tile'
    Color = clWhite
    ParentBackground = False
    TabOrder = 4
    OnClick = PanelAddressClick
  end
  object PanelTileIndex: TPanel
    Left = 626
    Top = 168
    Width = 57
    Height = 21
    Hint = 'Index of the selected tile from first tile'
    Anchors = [akTop, akRight]
    BevelInner = bvLowered
    ParentColor = True
    TabOrder = 5
  end
  object PanelCursorData: TPanel
    Left = 450
    Top = 168
    Width = 41
    Height = 21
    Hint = 'Data under the mouse cursor'
    Anchors = [akTop, akRight]
    BevelInner = bvLowered
    ParentColor = True
    TabOrder = 6
  end
  object PanelButtonRefresh: TPanel
    Left = 8
    Top = 8
    Width = 97
    Height = 25
    Hint = 'Refresh display'
    BevelInner = bvLowered
    Caption = 'Refresh'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 7
    OnClick = PanelButtonRefreshClick
    OnDblClick = PanelButtonRefreshClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
  object PanelCheckMonitoring: TPanel
    Left = 112
    Top = 8
    Width = 97
    Height = 25
    Hint = 'Start / Stop real time refresh'
    BevelInner = bvLowered
    Caption = 'Monitor'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 8
    OnClick = PanelCheckMonitoringClick
    OnDblClick = PanelCheckMonitoringClick
  end
  object PanelButtonMapperCopy: TPanel
    Left = 216
    Top = 8
    Width = 97
    Height = 25
    Hint = 'Copy shown tiles or map preview to clipboard'
    BevelInner = bvLowered
    Caption = 'Copy'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 9
    OnClick = PanelButtonMapperCopyClick
    OnDblClick = PanelButtonMapperCopyClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
  object PanelButtonSetTopLeft: TPanel
    Left = 79
    Top = 168
    Width = 41
    Height = 21
    Hint = 'Set with address of selected tile'
    BevelInner = bvLowered
    Caption = 'Set'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 10
    OnClick = PanelButtonSetTopLeftClick
    OnDblClick = PanelButtonSetTopLeftClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
  object StringGridTiles: TStringGrid
    Left = 8
    Top = 216
    Width = 728
    Height = 241
    Anchors = [akLeft, akTop, akRight, akBottom]
    BevelInner = bvNone
    BevelOuter = bvNone
    BiDiMode = bdLeftToRight
    BorderStyle = bsNone
    Color = clGrayText
    Ctl3D = True
    DefaultColWidth = 20
    DefaultRowHeight = 20
    DefaultDrawing = False
    DoubleBuffered = True
    DrawingStyle = gdsGradient
    FixedColor = clWindow
    FixedCols = 0
    FixedRows = 0
    GridLineWidth = 0
    Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goThumbTracking]
    ParentBiDiMode = False
    ParentCtl3D = False
    ParentDoubleBuffered = False
    ParentShowHint = False
    PopupMenu = PopupMenuGraphics
    ShowHint = False
    TabOrder = 11
    OnDblClick = StringGridTilesDblClick
    OnDrawCell = StringGridTilesDrawCell
    OnMouseLeave = StringGridTilesMouseLeave
    OnMouseMove = StringGridTilesMouseMove
    OnSelectCell = StringGridTilesSelectCell
  end
  object ButtonByteDecrement: TButton
    Left = 8
    Top = 194
    Width = 33
    Height = 17
    Caption = '-1'
    TabOrder = 12
    OnClick = ButtonByteDecrementClick
  end
  object ScrollBarAddress: TScrollBar
    Left = 88
    Top = 194
    Width = 648
    Height = 17
    Anchors = [akLeft, akTop, akRight]
    Ctl3D = False
    DoubleBuffered = False
    LargeChange = 1024
    Max = 65535
    PageSize = 100
    ParentCtl3D = False
    ParentDoubleBuffered = False
    TabOrder = 13
    OnChange = ScrollBarAddressChange
  end
  object ButtonByteIncrement: TButton
    Left = 45
    Top = 194
    Width = 33
    Height = 17
    Caption = '+1'
    TabOrder = 14
    OnClick = ButtonByteIncrementClick
  end
  object PanelButtonShowTileMemory: TPanel
    Left = 688
    Top = 168
    Width = 48
    Height = 21
    Hint = 'Show memory of selected tile'
    Anchors = [akTop, akRight]
    BevelInner = bvLowered
    Caption = '>MEM'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 15
    OnClick = PanelButtonShowTileMemoryClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
  object PopupMenuGraphics: TPopupMenu
    Left = 136
    Top = 304
    object ShowMemoryAtTileMenu: TMenuItem
      Caption = 'Show Memory at Tile address'
      OnClick = ShowMemoryAtTileMenuClick
    end
    object ShowMemoryatcursoraddress1: TMenuItem
      Caption = 'Show Memory at cursor address'
      OnClick = ShowMemoryatcursoraddress1Click
    end
  end
end
